desc "Configuration related tasks"
namespace :config do
  desc "Configure magento base URLs"
  task :'configure-urls' => ['magento:tools:n98magerun'] do
    Hem.ui.success "Configuring magento base urls"
    domain = Hem.project_config.hostname
    run "bin/n98-magerun.phar config:set web/unsecure/base_url 'http://#{domain}/'",
      realtime: true,
      indent: 2
    run "bin/n98-magerun.phar config:set web/secure/base_url 'https://#{domain}/'",
      realtime: true,
      indent: 2
    Hem.ui.separator
  end

  desc "Enable magento errors"
  task :'enable-errors' do
    error_config = File.join(Hem.project_path, 'public/errors/local.xml')

    FileUtils.cp(
        error_config + ".sample",
        error_config
    ) unless File.exists? error_config
  end

  desc "Create admin user"
  task :'create-admin-user' => ['magento:tools:n98magerun'] do
    initialized = run("bin/n98-magerun.phar admin:user:list | grep admin", exit_status: true) == 0
    unless initialized
      Hem.ui.success "Creating admin user"
      run "bin/n98-magerun.phar admin:user:create admin '' admin admin admin",
        realtime: true,
        indent: 2
      Hem.ui.separator
    end
  end

  desc "Enable rewrites"
  task :'enable-rewrites' => ['magento:tools:n98magerun'] do
    Hem.ui.success "Enabling rewrites"
    run "bin/n98-magerun.phar config:set web/seo/use_rewrites 1",
      realtime: true,
      indent: 2
    Hem.ui.separator
  end
end
